org.apache.ignite.internal.visor.query

## Class VisorQueryCancelTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<A,R,R>
  - - org.apache.ignite.internal.visor.VisorOneNodeTask<VisorQueryCancelTaskArg,Void>
    - - org.apache.ignite.internal.visor.query.VisorQueryCancelTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorQueryCancelTaskArg>,Void>

    @GridInternal
    public class VisorQueryCancelTask
    extends VisorOneNodeTask<VisorQueryCancelTaskArg,Void>

Task to cancel queries.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryCancelTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.query.VisorQueryCancelTask.VisorCancelQueriesJob` `job(VisorQueryCancelTaskArg arg)`
`protected Void` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorQueryCancelTask

    public VisorQueryCancelTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.query.VisorQueryCancelTask.VisorCancelQueriesJob job(VisorQueryCancelTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorQueryCancelTaskArg,Void,Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected Void reduce0(List<ComputeJobResult> results)
                              throws IgniteException

Actual reduce logic.

Overrides:
  `reduce0` in class `VisorOneNodeTask<VisorQueryCancelTaskArg,Void>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018